// bsp2a.cpp : main project file.

#include "stdafx.h"

using namespace System;

int main(array<System::String ^> ^args)  {
	const int MAX = 1000;
	int a[MAX];
	#pragma omp parallel for 
		for (int i = 0; i < MAX; ++i)  {
			a[i]=i+1;			// wird aufgeteilt auf die Threads
		}

	for (int i = 0; i < MAX; ++i) 
	{
		Console::WriteLine(  L"A[ {0} ] = {1}",       i, a[i]    );
	}
	
	Console::ReadLine();
	
	return 0;
}
